package com.bzd.system.service.daas;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 渠道管理表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SDaasChannelManagementService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSDaasChannelManagement(PageData pd)throws Exception {
        return daoSupport.update("SDaasChannelManagementMapper.addSDaasChannelManagement", pd);
    }

    public List<PageData> findSDaasChannelManagementList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SDaasChannelManagementMapper.selectSDaasChannelManagementList", pd);
    }

    public Integer SDaasChannelManagementRemove(PageData pd)throws Exception {
        return daoSupport.delete("SDaasChannelManagementMapper.SDaasChannelManagementRemove", pd);
    }


    public Integer updateSDaasChannelManagement(PageData pd)throws Exception {
        return daoSupport.update("SDaasChannelManagementMapper.updateSDaasChannelManagement", pd);
    }

}
